/*
 * RandomCspA - An abstract class for random binary csp generators
 * Part of the RandomCsp library.
 * Copyright (C) 1998-2000 by J.I. van Hemert
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * $Id: randomcsp.cc,v 1.2 2000/11/28 11:36:42 jano Exp $
 *
 */


#include "randomcsp.h"


//@{
/// Seed for the randomgenerator
int RandomCspA::Seed;
//@}


void const RandomCspA::InitRandomGenerator
(
	int const iRandomSeed
)
{
	Seed = iRandomSeed;

	srandom(Seed);

} // RandomCsp3C::InitRandomGenerator



// eof randomcsp.cc
